import { useState as t } from "../../../../../preact@10.29.0/node_modules/preact/hooks/dist/hooks.module.js";
try {
  let e = typeof window < "u" ? window : typeof global < "u" ? global : typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : {}, x = new e.Error().stack;
  x && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[x] = "1b45db25-e530-4076-9ec1-2e9652ae80b0", e._sentryDebugIdIdentifier = "sentry-dbid-1b45db25-e530-4076-9ec1-2e9652ae80b0");
} catch {
}
function n() {
  return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, (e) => {
    let x = Math.random() * 16 | 0;
    return (e == "x" ? x : x & 3 | 8).toString(16);
  });
}
const s = (e) => {
  const [x] = t(n());
  return `${e}_${x}`;
};
export {
  s as a,
  n as u
};
